select
  nt.numdocumento as numero_nota
  , nt.cdnota as referencia_nota
  , nt.dtentradasaida
  , (case when (nt.tiponota = 'E') then 'Despesa' else 'Receita' end) as tipo_nota
  , pr.nome as produto
  , cg.numero as conta_gerencial
from
  nota nt
  join notaitem ni on ni.cdnota = nt.cdnota
  join produto pr on pr.cdproduto = ni.cdproduto
  join contagerencial cg on cg.cdcontagerencial = ni.cdcontagerencial